// BC_LIB.C
// программа иллюстрирует доступ к последовательному порту
// через функцию bioscom()

#include <bios.h> //необходимо включить при использовании _bios_serialcom()
#include <stdio.h>
#include "bc_const.h"


// главная функция

void main(void) {

	unsigned status, port;

	for( port = 0; port < 4; port++ )
	{
		status = bioscom( _COM_STATUS, 0, port );

		// Проверяем состояние каждого последовательного порта
		// и определляем наличие присоединенных к нему устройств
		// типа модема.
		// Если биты data-set-ready и clear-to-send уустановвлены в
		// единицу, то внешнее устройство отвечает

		printf( "COM%c состояние: %.4X\tАктивный: %s\n",
				(char)port + '1', status,
				(status & 0x0030) ? "Да" : "Нет" );
	}
}
